
SCREEN			    EQU 16384
ATTRS			    EQU 22528

ALT_SCREEN          EQU 49152
ALT_ATTRS           EQU 55296

SCREEN_SIZE         EQU 6144
ATTRS_SIZE          EQU 768

MEM_PORT_2_ONLY     EQU $3FFD
MEM_PORT_2_2A       EQU $7FFD

MEM_SET_SCREEN      EQU $07
MEM_SET_ALT_SCREEN  EQU $0F
MEM_SET_XOR_SCREEN  EQU $08

SLOW_RAM            EQU ATTRS+768

DEFAULT_BORDER      EQU 0
	

;Debug Control
NO_DEBUG		    EQU 0
BORDER_MARKERS	    EQU 1

;DEBUG_LEVEL	    EQU NO_DEBUG
DEBUG_LEVEL		    EQU BORDER_MARKERS

;Colours of border timing markers:
IF DEBUG_LEVEL & BORDER_MARKERS
		;Coloured timing markers in border:
		B0	EQU	0
		B1	EQU	1
		B2	EQU	2
		B3	EQU	3
		B4	EQU	4
		B5	EQU	5
		B6	EQU	6
		B7	EQU	7
ELSE
		;All black borders (still used though, to maintain exact timing):
		B0	EQU	0
		B1	EQU	0
		B2	EQU	0
		B3	EQU	0
		B4	EQU	0
		B5	EQU	0
		B6	EQU	0
		B7	EQU	0
ENDIF


MACRO WAIT_VBL
	ei
	halt
ENDM

MACRO PAGE_ALIGN
	defs (65536-$)AND 255
ENDM

;--------

MACRO DEBUG_START,xxxx
	ld a,xxxx
	out (254),a
ENDM

MACRO DEBUG_END
	ld a,0
	out (254),a
ENDM

;--------

MACRO JPLT,xxxx
	jp c,xxxx
ENDM

MACRO JPGE,xxxx
	jp nc,xxxx
ENDM

MACRO JPEQ,xxxx
	jp z,xxxx
ENDM

MACRO JPNE,xxxx
	jp nz,xxxx
ENDM

MACRO JPZ,xxxx
	jp z,xxxx
ENDM

MACRO JPNZ,xxxx
	jp nz,xxxx
ENDM

MACRO JPOV,xxxx
	jp m,xxxx
ENDM



MACRO RETLT
	ret c
ENDM

MACRO RETGE
	ret nc
ENDM

MACRO RETEQ
	ret z
ENDM

MACRO RETNE
	ret nz
ENDM

MACRO RETZ
	ret z
ENDM

MACRO RETNZ
	ret nz
ENDM

MACRO RETOV
	ret m
ENDM
